<ivysettings>
    <settings defaultResolver="default"/>
    <resolvers>
        <ibiblio name="local-m2" m2compatible="true"
                 root="file://${user.home}/.m2/repository"
                 changingPattern=".*SNAPSHOT"/>
        <ibiblio name="my-maven" m2compatible="true" root="https://repo1.maven.org/maven2/"/>
        <!--<ibiblio name="staging" m2compatible="true" root="https://oss.sonatype.org/content/repositorie
s/orgagileclick-1008"/>-->
        <ibiblio name="central" m2compatible="true"/>

        <filesystem name="local-m2-publish" m2compatible="true">
            <artifact
                    pattern="${user.home}/.m2/repository/[organisation]/[module]/[revision]/[artifact]-[re
vision](-[classifier]).[ext]"/>
        </filesystem>

        <filesystem name="local-m2-publish-snapshot" m2compatible="true">
            <artifact
                    pattern="${user.home}/.m2/repository/[organisation]/[module]/[revision]-SNAPSHOT/[arti
fact]-[revision]-SNAPSHOT.[ext]"/>
        </filesystem>

        <chain name="default">
            <resolver ref="central"/>
            <resolver ref="my-maven"/>
            <!--<resolver ref="local-m2"/>-->
        </chain>
    </resolvers>
</ivysettings>